opencv: cv::Moments Class Reference

Public Member Functions | Public Attributes

# cv::Moments Class Reference

raster image moments More...

`#include <imgproc.hpp>`

List of all members.

## Public Member Functions
| Moments ()
| the default constructor
| Moments (double m00, double m10, double m01, double m20, double m11, double m02, double m30, double m21, double m12, double m03)
| the full constructor
| Moments (const CvMoments &moments)
| the conversion from CvMoments
| operator CvMoments () const
| the conversion to CvMoments
## Public Attributes
CV_PROP_RW double | m00
| spatial moments
CV_PROP_RW double | m01
CV_PROP_RW double | m02
CV_PROP_RW double | m03
CV_PROP_RW double | m10
CV_PROP_RW double | m11
CV_PROP_RW double | m12
CV_PROP_RW double | m20
CV_PROP_RW double | m21
CV_PROP_RW double | m30
CV_PROP_RW double | mu02
CV_PROP_RW double | mu03
CV_PROP_RW double | mu11
CV_PROP_RW double | mu12
CV_PROP_RW double | mu20
| central moments
CV_PROP_RW double | mu21
CV_PROP_RW double | mu30
CV_PROP_RW double | nu02
CV_PROP_RW double | nu03
CV_PROP_RW double | nu11
CV_PROP_RW double | nu12
CV_PROP_RW double | nu20
| central normalized moments
CV_PROP_RW double | nu21
CV_PROP_RW double | nu30

## Detailed Description

raster image moments

## Constructor & Destructor Documentation

cv::Moments::Moments | ( | ) |

the default constructor

cv::Moments::Moments | ( | double | m00,
|  | double | m10,
|  | double | m01,
|  | double | m20,
|  | double | m11,
|  | double | m02,
|  | double | m30,
|  | double | m21,
|  | double | m12,
|  | double | m03
| ) |  |

the full constructor

cv::Moments::Moments | ( | const CvMoments & | moments ) |

the conversion from CvMoments

## Member Function Documentation

cv::Moments::operator CvMoments | ( | ) | const

the conversion to CvMoments

## Member Data Documentation

CV_PROP_RW double cv::Moments::m00

spatial moments

CV_PROP_RW double cv::Moments::m01

CV_PROP_RW double cv::Moments::m02

CV_PROP_RW double cv::Moments::m03

CV_PROP_RW double cv::Moments::m10

CV_PROP_RW double cv::Moments::m11

CV_PROP_RW double cv::Moments::m12

CV_PROP_RW double cv::Moments::m20

CV_PROP_RW double cv::Moments::m21

CV_PROP_RW double cv::Moments::m30

CV_PROP_RW double cv::Moments::mu02

CV_PROP_RW double cv::Moments::mu03

CV_PROP_RW double cv::Moments::mu11

CV_PROP_RW double cv::Moments::mu12

CV_PROP_RW double cv::Moments::mu20

central moments

CV_PROP_RW double cv::Moments::mu21

CV_PROP_RW double cv::Moments::mu30

CV_PROP_RW double cv::Moments::nu02

CV_PROP_RW double cv::Moments::nu03

CV_PROP_RW double cv::Moments::nu11

CV_PROP_RW double cv::Moments::nu12

CV_PROP_RW double cv::Moments::nu20

central normalized moments

CV_PROP_RW double cv::Moments::nu21

CV_PROP_RW double cv::Moments::nu30

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/imgproc/include/opencv2/imgproc/imgproc.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines